import ICTCLAS.I3S.AC.ICTCLAS30;

import java.util.*;
import java.io.*;

class Result {
	int start; //start position,еĿʼλ
	int length; //length,ĳ
	int posId;//word typeIDֵԿٵĻȡԱ
	int wordId; //δ¼ʣ0-1
};

public class TestICTCLAS30 {
	
		public static void main(String[] args) throws Exception{
		ICTCLAS30 testICTCLAS30 = new ICTCLAS30();
		String argu="";
		if (testICTCLAS30.ICTCLAS_Init(argu.getBytes("GB2312")) == false) {
			System.out.println("Init Fail!");
			return ;
		}
		System.out.println("Init Success!");

		String str = "سŮܹϲбڷǵ֮";
    byte nativeBytes[] = testICTCLAS30.ICTCLAS_ParagraphProcess(str.getBytes("GB2312"));
    String nativeStr = new String(nativeBytes,0,nativeBytes.length,"GB2312");
    System.out.println("Before Import User Dictionary: "+ nativeStr);

	  str="userdict.txt";
		int nCount=testICTCLAS30.ICTCLAS_ImportUserDict(str.getBytes("GB2312"));

    System.out.println("Import User Dictionary entries: "+ nCount);
		str = "سŮܹϲбڷǵ֮";
    nativeBytes = testICTCLAS30.ICTCLAS_ParagraphProcess(str.getBytes("GB2312"));
    nativeStr = new String(nativeBytes,0,nativeBytes.length,"GB2312");
    System.out.println("After Import User Dictionary: "+ nativeStr);


		String argu1 ="Test.txt";//"/home/dinglin/jni_example/test.txt"
		String argu2 ="Test_result.txt";//"/home/dinglin/jni_example/test_result.txt";
		testICTCLAS30.ICTCLAS_FileProcess(argu1.getBytes("GB2312"),argu2.getBytes("GB2312"));
		
		str="й";
		boolean bExist=testICTCLAS30.ICTCLAS_IsWord(str.getBytes("GB2312"));
		System.out.println(str+" exists?"+bExist);
		float dProb=testICTCLAS30.ICTCLAS_GetUniProb(str.getBytes("GB2312"));
		System.out.println(str+" Probability= "+dProb);

		str="й";
		bExist=testICTCLAS30.ICTCLAS_IsWord(str.getBytes("GB2312"));
		System.out.println(str+" exists?"+bExist);
		dProb=testICTCLAS30.ICTCLAS_GetUniProb(str.getBytes("GB2312"));
		System.out.println(str+" Probability= "+dProb);


//Test Result[] resultArr = testICTCLAS30.ICTCLAS_ParagraphProcessA(str);
		str = "йﰡ";
		nativeBytes = testICTCLAS30.nativeProcAPara(str.getBytes("GB2312"));
		int nativeElementSize = 4*4;//size of result_t in native code
		int nElement = nativeBytes.length/nativeElementSize;
		Result[] resultArr = new Result[nElement];
		DataInputStream dis = new DataInputStream(new ByteArrayInputStream(nativeBytes));
		for(int i=0;i<nElement;i++){
			resultArr[i] = new Result();
			resultArr[i].start = Integer.reverseBytes(dis.readInt());
			resultArr[i].length = Integer.reverseBytes(dis.readInt());
			resultArr[i].posId =  Integer.reverseBytes(dis.readInt());
			resultArr[i].wordId = Integer.reverseBytes(dis.readInt());
		}
		dis.close();
		
		for(int i=0;i<resultArr.length;i++){
			System.out.println("start=" + resultArr[i].start+",length=" + resultArr[i].length+"pos=" + resultArr[i].posId+"word=" + resultArr[i].wordId);
		}
		
		testICTCLAS30.ICTCLAS_Exit();
	}
}
 