/****************************************************************************
 *
 * Copyrig_ht (c) 2001-2006
 *     AMM Group
 *     Institute of Computing Tech.
 *     Chinese Academy of Sciences
 *     All rights reserved.
 *
 * This file is the confidential and proprietary property of 
 * Institute of Computing_ Tech. and the posession or use of this file requires 
 * a written license from the author.
 * Filename: 
 * Abstract:
 *            Example: example
 * Author:   Kevin Zhang_ 
 *          (zhang_hp@software.ict.ac.cn)
 * Date:     2005-12-27
 *
 * Notes:
 *                
 ****************************************************************************/

#include "stdafx.h"
#include <string.h>
#include <stdio.h>
#include "ICTCLAS30.h"

void main()
{
	if(!ICTCLAS_Init())
	{
		printf("Init ICTCLAS failed!");
		return;
	}



	//////////////////////////////////////////////////////////////////////////
	//
	// Test User-defined Dictionary
	//
	//////////////////////////////////////////////////////////////////////////
	const char * pResult;
	char sInput[2000]="سŮܹϲбڷǵ֮";//
//	//Żƽ197821ճڽʡء
//	//ϳɷʱ,

	//////////////////////////////////////////////////////////////////////////
	//
	// Test ICTCLAS_ImportUserDict
	//
	//////////////////////////////////////////////////////////////////////////
	printf("Before User-defined dictionary used:\n");
	pResult=ICTCLAS_ParagraphProcess(sInput);
	printf("Resut: %s\n",pResult);
	int nItem=ICTCLAS_ImportUserDict("UserDict.txt");
	printf("%d Items imported from the User-defined dictionary\n",nItem);
	printf("After User-defined dictionary used:\n");
	pResult=ICTCLAS_ParagraphProcess(sInput);
	printf("Resut: %s\n",pResult);

	//////////////////////////////////////////////////////////////////////////
	//
	// Test ICTCLAS_ParagraphProcess
	//
	//////////////////////////////////////////////////////////////////////////
	printf("Input Sentence Now!(q to quit)\n");
	scanf("%s",sInput);
	//ֻϻСЭɽףӢ̨
	while (stricmp(sInput,"q")!=0)
	{
		pResult=ICTCLAS_ParagraphProcess(sInput);
		printf("Resut: %s\nInput Sentence Now!(q to quit)\n",pResult);
		scanf("%s",sInput);
	}
	//////////////////////////////////////////////////////////////////////////
	//
	// Test Speed and File Process
	//
	//////////////////////////////////////////////////////////////////////////
	
	ICTCLAS_FileProcess("1.txt","1_result.txt");

	ICTCLAS_Exit();

	return ;
}
